ChartDirector Ver 5.0 (PHP Edition)

ArrayMath.expAvg

Usage

expAvg(smoothingFactor)

Description

Replaces each element of the ArrayMath object by its exponential average.
The exponential average is computed by :
avg(n) = value(n) * smoothingFactor + avg(n - 1) * (1 - smoothingFactor)
where avg(n) is the exponential average of the nth element, and value(n) is the value of the nth element.
For the first element (n = 0), its exponential average is assumed to be equal to its original value.

Arguments

Argument | Default | Description
--- | --- | ---
smoothingFactor | (Mandatory) | The smoothing factor used for computing exponential average. It should be between 0 - 1.

Return Value

The current ArrayMath object.

© 2009 Advanced Software Engineering Limited. All rights reserved.